-- Load Libraries
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

-- Rating
local Arena_Rating_Frame = ldb:NewDataObject("Broker_Arena", {type = "data source", label = "Arena", text = "", icon = "Interface\\Icons\\achievement_arena_5v5_5"})

-- Frame
local Arena_Rating = CreateFrame("frame")

-- Populate Data
Arena_Rating:SetScript("OnUpdate", function(self, elap)
	-- Get TeamID for 2v2 and 3v3
	local teamID2v2 = ArenaTeam_GetTeamSizeID(2)
	local teamID3v3 = ArenaTeam_GetTeamSizeID(3)
	-- Get data for 2v2
	local teamName, teamSize, teamRating, weekPlayed, weekWins, seasonPlayed, seasonWins, playerPlayed, seasonPlayerPlayed, teamRank, playerRating = GetArenaTeam(teamID2v2);
	local Arena_2v2 = playerRating
	-- Get data for 3v3
	local teamName, teamSize, teamRating, weekPlayed, weekWins, seasonPlayed, seasonWins, playerPlayed, seasonPlayerPlayed, teamRank, playerRating = GetArenaTeam(teamID3v3);
	local Arena_3v3 = playerRating
	-- Get data for Conquest points
	local localized_label, amount, icon_file_name = GetCurrencyInfo(390)
	local CQ_points = amount
	
	-- Verify if 2v2 and/or 3v3 exist and display the ones available
	if Arena_2v2 > 1 and Arena_3v3 > 1 then Arena_Rating_Frame.text = "|cffFFFF33 2v2: |cffFFFFFF" .. Arena_2v2 .. "|cffFFFF33 3v3: |cffFFFFFF" .. Arena_3v3 .. "|cffFFFF33 Conquest: |cffFFFFFF" .. CQ_points
	elseif Arena_2v2 > 1 then Arena_Rating_Frame.text = "|cffFFFF33 2v2: |cffFFFFFF" .. Arena_2v2 .. "|cffFFFF33 Conquest: |cffFFFFFF" .. CQ_points
	elseif Arena_3v3 > 1 then Arena_Rating_Frame.text = "|cffFFFF33 3v3: |cffFFFFFF" .. Arena_3v3 .. "|cffFFFF33 Conquest: |cffFFFFFF" .. CQ_points
	else Arena_Rating_Frame.text = "|cffFFFF33 Conquest: |cffFFFFFF" .. CQ_points end
		
end)
